Subject: flex %option "never-interactive" breaks few tests on Solaris

From: Stefano Lattarini <[email-masked]>
Date: Thu, 05 Apr 2012 15:40:00 +0200

Severity: minor
thanks

Hello automakers, Peter.

The commit v1.11-2058-g6f4b08d of 06-03-2012, "tests: explicitly state
that our lexers do not require unistd.h", has been causing at least
the tests 'lex-clean-cxx.test' and 'lex-depend-cxx.test' to break on
Solaris, where lex is not flex, and does not understand the directive
"%option never-interactive".

Any opinion on how to better fix this?  Is defining a dummy 'isatty'
function in our C++ sources enough to avoid the failures on MSYS?

Regards,
  Stefano